web-dev-qa-db-ja.com

RMagick 2.13.1をインストールできません。 MagickWand.hが見つかりません。

Rmagickをインストールしようとすると、次のエラーメッセージが表示されます。

Can't install RMagick 2.13.1. Can't find MagickWand.h.
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Mac OSX 10.6.8、Ruby 1.9.2p290、rvm 1.10.2を使用しています。

誰でもこの問題を解決するのを手伝ってくれますか?.

152
blawzoo

実行中に同様の問題が発生しました

$ gem install rmagick

まず、imagemagickをインストールしていますか?わからない場合は、実行してください

$ convert --version

もしそうなら、おそらくfinkまたはmacports(おそらくhomebrew?)でインストールしたでしょう。起こっているのは、rvmがimagemagickディレクトリを見つけられないことです。

https://superuser.com/questions/361435/i-have-compiled-imagemagick-on-my-centos-and-rmagick-wont-install を追加してimagemagickパスをエクスポートしました

$ export PKG_CONFIG_PATH="/opt/local/lib/pkgconfig:$PKG_CONFIG_PATH"

〜/ .bash_profileに追加し、新しいプロファイルを取得してから、gem install rmagickを再度実行します。

私がこれをした後、それは私のために働いた。

67
Darren Cheng

Ubuntuを使用している場合、このパッケージをインストールすることで問題が修正されました。

Sudo apt-get install libmagickwand-dev
271
SporkInventor

ImageMagick 7がインクルードファイルパスを変更したようです。

rmagickの構築時に、wand/MagickWand.hとしてファイルが含まれるため、回避策はありません。今のところImageMagick 6に固執しているようです。

Mac OS X(Sierraでテストしました)では、HomeBrewのversionsタップを次のように使用しました。

brew tap homebrew/versions
brew install [email protected]

次に、上記のインストールに示されているパスを使用します。

PKG_CONFIG_PATH=/usr/local/opt/[email protected]/lib/pkgconfig gem install rmagick

ImageMagick 6でインストールするには。

135
shigeya

BundlerがCIマシン上でこのgemを単独でコンパイルできるようにしたかったので、環境変数をいじりたくありませんでした。代わりに、Homebrewを使用してpkg-configをインストールしました。

brew install pkgconfig

そして、次にRMagick gemをコンパイルしようとしたときに、問題なくヘッダーファイルが見つかりました。

(これは、Mountain Lionのpkg-config 0.28、ImageMagick 6.8.0-10、およびRMagick 2.13.2です。)

78
Fin Hopkins

現在のimagemagickインストールのインクルードパスの設定を修正します。

BrewでImageMagickをインストールする

brew install imagemagick

ライブラリを見つける

$ mdfind MagickWand.h
/usr/local/Cellar/imagemagick/6.7.5-7/include/ImageMagick/wand/MagickWand.h

Rmagick gemをインストールします

$ C_INCLUDE_PATH=/path/MagickWand.h gem install rmagick

例:

$ C_INCLUDE_PATH=/usr/local/Cellar/imagemagick/6.7.5-7/include/ImageMagick/ gem install rmagick
45
xonico

RMagickをインストールする必要のあるすべての新しいシステム(そして時間が経ち、バージョン番号が更新された)に噛み付くように戻ってくるようだから、これをお気に入りとしてマークしました。

Mac OS X 10.8.4

rvm 1.22.3

Ruby-2.0.0-p247

Xcode 4.6.3開発者ツールがインストールされている

$ brew install imagemagick
==> /usr/local/Cellar/imagemagick/6.8.6-3

$ brew install pkgconfig
==> /usr/local/Cellar/pkg-config/0.28

$ C_INCLUDE_PATH=/usr/local/Cellar/imagemagick/6.8.6-3/include/ImageMagick-6 PKG_CONFIG_PATH=/usr/local/Cellar/imagemagick/6.8.6-3/lib/pkgconfig/ gem install rmagick
Successfully installed rmagick-2.13.2

上記の役立​​つ回答を追加してくださった皆さんに感謝します!

38
tobinjim

brewを使用するMacユーザー

7ではなくv6のImageMagickを使用できる場合は、これを試すことができます

brew install [email protected] --force && brew link [email protected] --force

これにより、既存のIMインストールのリンクが解除されるので、ImageMagickを使用して他のプロジェクトが問題なくマシン上にある場合は注意してください。

28
Adam Grant

私自身と他の人のために、提案niconicoを使用してmagicwand.hについてのエラーを乗り越えました。 MDFindとC_INCLUDE_PATH。ただし、MagickkCore.pcに関するエラーが発生しました。これを機能させるための最後のコマンドには、両方を含める必要がありました。

 C_INCLUDE_PATH=/usr/local/Cellar/imagemagick/6.7.7-6/include/ImageMagick/ PKG_CONFIG_PATH=/usr/local/Cellar/imagemagick/6.7.7-6/lib/pkgconfig/ gem install rmagick

明らかに、私のようなbrewを使用しているかどうか、およびインストールしていたimagemagickのバージョンによって、パスは異なります。また、他の人が述べたように、xcodeコマンドラインツールをインストールする必要がありました。

これに関する皆の投稿をありがとう!それが私のものに貢献したので、私はあなたの答えをプラスしています!

12
fregas

Ubuntuの場合:

Sudo apt-get install imagemagick libmagickwand-dev
gem install rmagick
11
rusllonrails

Mavericksへのアップデート後に問題が発生しました。多くのリンクが失われました。私の場合、pkg-configへのリンクを更新する必要がありました

brew unlink pkg-config
brew link pkg-config

それから、rmagickのインストールは魅力のように機能しました。

8
user81620

私はMountain Lionに更新し、この同じ問題が発生し始めました。 brew、XCode、XCodeツールを再インストールする必要がありました-ほとんどすべての環境!

私は最終的に上記のフォプキンスからの答えを使用してこの問題を解決しました...

brew install pkgconfig

それが正常に完了すると(最初にいくつかの古いシンボリックリンクを削除する必要がありました)、RMagick gemを正常にインストールすることができました

7
Tim Bull

buntユーザーの場合:Ubuntuで直接実行されることはありません。このコマンドを実行するには、まずパッケージをインストールする必要があります...:

Sudo apt-get install libmagickwand-dev  

...そしてインストールします:

gem install rmagick

同じ問題が発生する可能性があります。そのためには、まずaptリポジトリをクリアして、壊れたパッケージを削除してください

Sudo apt-get update
Sudo apt-get autoclean
Sudo apt-get clean
Sudo apt-get autoremove

システムが破損したパッケージを特定した場合、それらを強制的に削除します(package_nameを独自のものに置き換えます):

Sudo dpkg --remove -force --force-remove-reinstreq package_name

次に、不足しているパッケージを再インストールします。 :)

7
Awais

これはMac OsXで私のために働いた

Imagemagickをインストールします。

brew remove imagemagick
brew install imagemagick

Pkg-configが正しくリンクされていることを確認してください。

brew uninstall pkg-config
brew install pkg-config
brew unlink pkg-config && brew link pkg-config

Gemをインストールする

gem install rmagick
7
Brian

私にとっての問題は、rmagickが古く、定期的に更新されていないことでした。 ImageMagickのバージョンがあまりにも新しい場合、互換性がない可能性があります。以下を使用してImageMagickのバージョンを確認します。

$ convert --version

ImageMagickのバージョンが7より大きい場合、rmagickと互換性がありません。ユーザーには次のようなエラーが表示されます

Can't install RMagick 2.16.0. Can't find MagickWand.h.
*** extconf.rb failed *** 

ImageMagickのバージョン7と互換性があるようにrmagickを更新するまで、ImageMagickのバージョン6に戻ります。誰かが適切なバージョン(6)を別のgem-'imagemagick @ 6'でホストしています。

Rmagickを動作させる必要があるが、現在imagemagickバージョン7以降を使用している場合、切り替える手順は次のとおりです。

$ gem install [email protected]
$ brew unlink imagemagick
$ brew link [email protected] --force
6
farrellw

Debian Wheezy 64ビットで助けてくれました

 apt-get install libmagickcore-dev libmagickwand-dev
6
mat

ImagemagickとPkgConfigの両方を再インストールしてみてください。それはマーベリックスのためにそれを修正する必要があります

  • brew update && brew upgrade
  • brew reinstall imagemagick
  • brew reinstall pkgconfig
4
Jones Agyemang

Railsベースのアプリケーションの場合、これを見つけました

Sudo apt-get install -y libmagickwand-6-headers
C_INCLUDE_PATH=/usr/include/ImageMagick-6 gem install rmagick
bundle update rmagick
bundle install

取り組んだdebianjessie

2
waghanza

OS X Mountain Lion(Lionからのアップグレード後)でこれに本当に苦労していましたが、C_INCLUDE_PATH、PKG_CONFIG_PATH、さまざまなファイルの作成などに関する提案は機能していませんでした。 Mountain Lionにアップグレードした同じ日に、XCodeも4.5.2にアップグレードしましたが、これについてあまり考えていませんでした。

結局、私はRMagickをインストールしようとするのをやめ、その仕事を同僚に伝えなければなりませんでした。

その後、偶然、別のプロジェクトでバンドルインストールを使用しようとしており、「make」が見つからなかったためjson gemをインストールできませんでした。私はそれをチェックし、XCode-> Preferences-> Downloadsに行き、コマンドラインツールをインストールしてmakeを再び動作させる必要があることを見つけました。 json gemは問題なくインストールされました。

それから私は一時停止し...そして試みた

gem install rmagick

もう1回。完璧に機能しました。

2
adriandz

OS XのMigration Assistantを実行し、移行後に何も再リンクされなかったため、これに遭遇しました。 Wand-config --ldflags --libsの出力を確認する必要があります。私の場合、それは与えました:

$ Wand-config --ldflags --libs
/usr/local/bin/Wand-config: line 50: pkg-config: command not found
/usr/local/bin/Wand-config: line 53: pkg-config: command not found

Pkg-config、libpng、およびlibfreetypeを再リンクすると、次のようになりました。

$ Wand-config --ldflags --libs
-L/usr/local/Cellar/imagemagick/6.8.8-9/lib -lMagickWand-6.Q16 -lMagickCore-6.Q16 
-L/usr/local/Cellar/imagemagick/6.8.8-9/lib -lMagickWand-6.Q16 -lMagickCore-6.Q16 

その後:

$ gem install rmagick
Building native extensions.  This could take a while...
Successfully installed rmagick-2.13.2
Parsing documentation for rmagick-2.13.2
Done installing documentation for rmagick after 4 seconds
1 gem installed
1
Bob Aman

Arch Linuxでは、imagemagick @ 6をインストールした後、gemはパッケージrmagickをインストールできず、以下のエラーが発生しました。

Can't install RMagick 2.16.0. Can't find MagickWand.h

以下の手順を使用して私のために働いた

  1. pkgconfigパスを.bashrcに追加しました

    export PKG_CONFIG_PATH = "/ usr/lib/imagemagick6/pkgconfig"

  2. 以下の2つのシンボリックリンクを作成しました

    ln -s/usr/include/ImageMagick-6/wand/usr/include/ImageMagick-6/wand

    ln -s/usr/local/include/ImageMagick/magick/usr/include/ImageMagick-6/magick

C_INCLUDE_PATH=/usr/local/Cellar/imagemagick/6.7.7-6/include/ImageMagick gem install rmagick
1

linux OS:

C_INCLUDE_PATH=/usr/local/include/ImageMagick-6/ gem install rmagick

ネイティブ拡張の構築。これにはしばらく時間がかかる可能性があります...

ERROR:  Error installing rmagick:
    ERROR: Failed to build gem native extension.

        /home/vagrant/.rvm/rubies/Ruby-1.9.3-p0/bin/Ruby extconf.rb
...
Package MagickCore was not found in the pkg-config search path.
Perhaps you should add the directory containing `MagickCore.pc'

その後:

export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig"

.kashrcファイルでMagickCore.pcを取得し、2つのシンボリックリンクを作成しました。

ln -s /usr/local/include/ImageMagick/wand /usr/local/include/ImageMagick-6/wand
ln -s /usr/local/include/ImageMagick/magick /usr/local/include/ImageMagick-6/magick

今:

$ gem install rmagick
Building native extensions.  This could take a while...
Successfully installed rmagick-2.13.2
1 gem installed

ブームはすべてうまくいきます。

1
tokhi

oSX Maverick 10.9.1では、それを理解するのに何年もかかりましたが、次の方法でこれらの問題を解決しました。

nano /etc/paths

かわった:

/usr/bin
/bin
/usr/sbin
/sbin
/usr/local/bin

に:

/usr/local/bin
/usr/bin
/bin
/usr/sbin
/sbin

「brew」のようなローカルのものが最初にロードされること。

今、私はターミナルに「醸造医」を押して、何かが乱れているかどうかを確認します

次の出力が表示された場合システムは作成する準備ができています。エバーシングは大丈夫です。そうでない場合、tiは何をすべきかを教えてくれます。醸造されていないもの、壊れたライブラリ、きれいなシンボリックリンクなどを追い出します。

醸造の準備ができたら、ghostscript(pdf)、libpng、brew経由のimagemagickが必要です。

Rubyセットアップを強制終了しなかった場合に備えて、「gem install rmagick」と入力してください。ただし、クリーンアップしたbrewを使用すると簡単に再インストールできます。

PS:もう1つの便利なコマンドは、「which convert」です。システムで使用されているimagemagickのバージョンを表示します。

--versionと同様

brewを使用してgitをインストールし、「git --version」を実行すると、Apple gitバージョンが返される場合、ロードパスが壊れています...

0

ImageMagickバージョン7.x.xをインストールすると、usr/lib/local/include/ImageMagick7.x.xフォルダーに異なるフォルダー名が生成されます。

ImageMagick6.x.xバージョンでは、magickwandという名前のフォルダーがあります。ImageMagick7.x.xバージョンでは、このMagickCoreMagickWandという名前が付けられています。したがって、この更新は、次のようないくつかのgemインストールで問題を引き起こしています。 magick/some_header.hまたはwand/some_header.hのどちらを使用していますか(新しい7.x.x ImageMagickバージョンで更新されていないことを意味します)。

そのため、このエラーが発生します。


    checking for outdated ImageMagick version (<= 6.4.9)... no
    checking for presence of MagickWand API (ImageMagick version >= 6.9.0)... no
     .... 
    checking for wand/MagickWand.h... no

ログファイルには次のようなものがあります:

error: 'MagickCore/method-attribute.h' file not found
#include "MagickCore/method-attribute.h"
         ^

ソリューション

公式サイトからシステムにImageMagick6.x.xバージョンをインストールします: https://www.imagemagick.org/download/ そして、このコマンドを使用してインストールします(zip/tarの抽出後):

./configure
make 
make install

それから

gem install rmagick

それが動作します。


また、次のシンボリックリンクを設定する必要がある場合があります。

ln -s /usr/local/lib/libMagickWand-6.Q16.so.6 /home/marcelo/.rbenv/versions/2.2.0/lib/Ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0-static/rmagick-2.16.0/libMagickWand-6.Q16.so.6
Sudo ln -s /usr/local/lib/libMagickWand-6.Q16.so.6 /usr/lib
ln -s /usr/local/lib/libMagickCore-6.Q16.so.6 /home/marcelo/.rbenv/versions/2.2.0/lib/Ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0-static/rmagick-2.16.0/libMagickCore-6.Q16.so.6
Sudo ln -s /usr/local/lib/libMagickCore-6.Q16.so.6 /usr/lib

Mac OS X 10.9では、警告がある場合はXcodeを更新してください。
$ brew doctor
警告を見つけました。
$ Sudo/Developer/Library/uninstall-developer-folder

次に試してください:
$バンドルインストール
再び

それは私にとってはうまくいきました。

0
Fabricio

OSX 10.8にデフォルトのImageMagickをインストールしていたときに、この同じ問題を解決するのに苦労しました(homebrewもmacportsもありません)。このスレッドの提案またはこのスレッドからリンクされたスレッドの組み合わせは、私にとってはうまくいきませんでした(もちろん、ローカルインストールのパスを変更します)。

デフォルトのImageMagick 6インストールを削除し、macportsで再インストールしました。私のrmagickインストールは、他の変更なしですぐに機能しました。

0
user2639257

CentOS 6.5 x64では、非常に簡単でした。

yum install ImageMagick ImageMagick-devel

gem install rmagick -v '2.13.2'
0
Fernando Vieira

2.13.2にアップグレードすることでこれを修正できました

0
scootklein

Yosemite 10.10ですべての作成オプションがrmagick 2.13.1のインストールに失敗しました

これは働いた
最新のRVMを入手する

\ curl -sSL https://get.rvm.io | bash -s stable --Ruby rvm install 2.1.1 rvm use 2.1.1

パッケージファイルをダウンロードしてインストールします http://cactuslab.com/imagemagick

(pacifistを使用してインストールしました)

MagickCore.pcファイルの場所を確認します

mdfind magickcore.pc

例えば。 /opt/ImageMagick/lib/pkgconfig/MagickCore.pc

Rmagick-2.15.2.gemファイルを手動でダウンロードします https://rubygems.org/gems/rmagick/versions/2.15.2

そのディレクトリから

Sudo C_INCLUDE_PATH =/opt/ImageMagick/include/ImageMagick-6/PKG_CONFIG_PATH =/opt/ImageMagick/lib/pkgconfig gem install --local rmagick-2.15.2.gem

バンドルインストーラで問題が発生している場合でも、2.13.1について不平を言っています

Gemファイル/ gem.lockファイルですべての依存関係をアップグレードします

rmagick(2.13.1)-> rmagick(> = 2.15.2)

0
johndpope

Alpine 3.9イメージビルドでも同じエラーが発生しました。 ImageMagick 7.0.8.38-r が付属しています

これを修正するには、Alpine 3.5を ImageMagick 6.9.6.8-r1 とともに使用します。

FROM Alpine:3.5

または、ImageMagick 6.9.6.8-r1と3.5のパッケージリポジトリをインストールします。

RUN apk add imagemagick-dev=6.9.6.8-r1 --repository http://dl-3.alpinelinux.org/Alpine/v3.5/main/

未解決の問題があります ImageMagick 7.0.xの失敗したビルドに関するrmagickリポジトリにあります。すぐに修正されることを期待しています。

0
Martin Zinovsky